%define version 0.9.9
%define release 1mdk

Summary:	Dr. Geo is an interactive geometry software
Name:		drgeo
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
URL:		http://www.ofset.org/drgeo/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2

BuildRequires:	ImageMagick
BuildRequires:	guile-devel
BuildRequires:	libxml2-devel
BuildRequires:	libglade2.0-devel

%description
Dr. Genius is the GNOME interactive geometry software. It allows one to
create geometric figure plus the interactive manipulation of such figure
in respect with their geometric constraints. It is usable in teaching
situation with students from primary or secondary level.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/drgeo" \
 icon="gnome-drgenius.png" \
 longtitle="Dr.Geo Math Tool" \
 needs="x11" \
 section="Applications/Sciences/Mathematics" \
 title="Dr.Geo" \
 startup_notify="yes"
_EOF_

# icons
mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_miconsdir}
install -m 0644 -D      icons/gnome-drgenius.png %{buildroot}%{_liconsdir}/gnome-drgenius.png
convert -geometry 32x32 icons/gnome-drgenius.png %{buildroot}%{_iconsdir}/gnome-drgenius.png
convert -geometry 16x16 icons/gnome-drgenius.png %{buildroot}%{_miconsdir}/gnome-drgenius.png

# TeXmacs was supposed to locate in another directory for MDK
pushd %{buildroot}%{_datadir}
mv texmacs/TeXmacs ./
rmdir texmacs
popd

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README TODO examples/
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/TeXmacs/plugins/drgeo
%{_menudir}/%{name}
%{_iconsdir}/gnome-drgenius.png
%{_miconsdir}/gnome-drgenius.png
%{_liconsdir}/gnome-drgenius.png

%changelog
* Mon Sep 22 2003 Abel Cheung <deaddog@deaddog.org> 0.9.9-1mdk
- 0.9.9

* Fri Aug 29 2003 Abel Cheung <deaddog@deaddog.org> 0.9.8-2mdk
- distlint fixes

* Mon Aug 25 2003 Abel Cheung <maddog@linux.org.hk> 0.9.8-1mdk
- 0.9.8

* Sat Aug 16 2003 Abel Cheung <maddog@linux.org.hk> 0.9.7-1mdk
- First Mandrake spec
